package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbSchool;
import org.springframework.stereotype.Repository;

/**
 * 学校信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-29
 */
@Repository
public interface TbSchoolMapper 
{
    /**
     * 查询学校信息
     * 
     * @param id 学校信息主键
     * @return 学校信息
     */
    public TbSchool selectTbSchoolById(Long id);

    /**
     * 查询学校信息列表
     * 
     * @param tbSchool 学校信息
     * @return 学校信息集合
     */
    public List<TbSchool> selectTbSchoolList(TbSchool tbSchool);

    public List<TbSchool> selectTbSchoolNotPassList(TbSchool tbSchool);

    public List<TbSchool> selectAllTbSchoolList();

    /**
     * 新增学校信息
     * 
     * @param tbSchool 学校信息
     * @return 结果
     */
    public int insertTbSchool(TbSchool tbSchool);

    /**
     * 修改学校信息
     * 
     * @param tbSchool 学校信息
     * @return 结果
     */
    public int updateTbSchool(TbSchool tbSchool);

    public int updateCheckStatus(TbSchool tbSchool);

    /**
     * 删除学校信息
     * 
     * @param id 学校信息主键
     * @return 结果
     */
    public int deleteTbSchoolById(Long id);

    /**
     * 批量删除学校信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbSchoolByIds(String[] ids);

    /**
     * 查询学校的校区
     * @param id
     * @return
     */
    public List<TbSchool> selectSchoolCampusByID(Long id);

    public int deleteTbPerCollectBySchoolId(Long id);
    public int deleteTbPerCollectBySchoolIds(String[] ids);

    public int deleteTbPerCollectByMajorId(Long id);
    public int deleteTbPerCollectByMajorIds(String[] ids);
}
